﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;

namespace DataTreeDoubleClick
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Implementation
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
        private DelegateCommand<object> _MyDoubleClickCommand;
        public DelegateCommand<object> MyDoubleClickCommand
        {
            get { return _MyDoubleClickCommand; }
            set
            {
                if (_MyDoubleClickCommand != value)
                {
                    _MyDoubleClickCommand = value;
                    OnPropertyChanged("MyDoubleClickCommand");
                }
            }
        }

        public MainWindowViewModel()
        {
            MyDoubleClickCommand = new DelegateCommand<object>(OnDoubleClick);
        }

        void OnDoubleClick(object parameter)
        {
            MessageBox.Show(parameter.ToString());
        }
    }
}
